#ifndef PACKAGE
#define PACKAGE

#define TERMOPAIR	14
#define CURRENTOS	(TERMOPAIR*2)
#define DATASTART	24

//-----------------------------------------------
#define adr_REC1	1
#define adr_REC2	2
#define adr_INV1	3
#define adr_INV2	4
#define adr_SHKF	5
#define adr_ISOL	6
//-----------------------------------------------

//-----------------------------------------------
#define dsk_COMM	1
#define dsk_SHKF	2
#define dsk_ISOL	3
//-----------------------------------------------


#define	CAN_send_start	0		//	  
#define	CAN_send_finis	0x6F	//	  

#define start_sens_error	0
#define start_sens_hi_edge	48
#define start_sens_lo_edge	72

#define	optopowse	Modbus[0x60].all	//	  , ms
#define	optofiltr	Modbus[0x61].all	//	 

#define	Brightness	Modbus[0x64].all	//	  

#define	Cancount	((int *)&Modbus[0x65])

#define Zeroes		((int *)&Modbus[0x70])

#define LastMode	Modbus[126].all

#define Commands	Modbus[127].all
#define cTestLamp	Modbus[127].bit.bit0
#define cSetZero	Modbus[127].bit.bit1
#define cSaveParam	Modbus[127].bit.bit2
#define cDefParam	Modbus[127].bit.bit3

#define cTermoCal	Modbus[127].bit.bit4
#define cReadCal	Modbus[127].bit.bit5

#define cExtLamp	Modbus[127].bit.bit6
#define cExtLite	Modbus[127].bit.bit7


#endif	//PACKAGE

